Description

Hello,

I would like to report that News Watch function doesn't work in Redmine 2.6.0.

Forum watch and Issues watch is fine, only News watching has issues.

Related issues:

Has duplicate Redmine - Defect #18879: News Watch email notification doesn't ... Closed

History

#1 - 2015-01-16 17:55 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#2 - 2015-01-18 07:25 - Plam Sim

The reported bug is still not fixed. I saw the submissions and nobody else reported it.

I just updated to Redmine 2.6.1 and the issue still exists - the News Watch functionality doesn't work.

#3 - 2015-01-18 07:53 - Mischa The Evil

- Has duplicate Defect #18879: News Watch email notification doesn't work added

#4 - 2015-01-18 08:00 - Mischa The Evil

Plam Sim wrote:

[...] News Watch function doesn't work [...] only News watching has issues [...]

[...] News Watch functionality doesn't work [...]

 Come one... Please describe in detail what functionality you are exactly expecting to do what, and what it is that 'does not work' as you expect it to?

#5 - 2015-01-18 08:16 - Plam Sim

Ok, I can explain in more details.

You can test that it doesn't work as expected if you follow this test scenario:

1. login in Redmine with user X

2. navigate to News section

3. click on Watch button in the top right corner

4. logout with user X

5. login with another user Y

6. navigate to News and create a new News

By design Redmine has to send email notification to user X in that case. However User X doesn't receive any email notification for news created by

the other user Y (user X is watching the news section). This behavior you can see in Redmine 2.6.0 and Redmine 2.6.1 and that is the problem

reported by me.

#6 - 2015-01-18 09:18 - Toshi MARUYAMA

Again, see Submissions.

Give us your using plugin list and related log.
Do your Redmine 2.5 work expectedly?

#7 - 2015-01-19 10:48 - Plam Sim

I don't have Redmine 2.5 to test it. I can provide info only for 2.6.1 (2.6.0 was upgraded) at the moment.

Toshi MARUYAMA wrote:

Do your Redmine 2.5 work expectedly?

#8 - 2015-01-19 10:59 - Plam Sim

Concerning Submissions rules:

1. My Ruby version is listed

ruby 1.9.3p545

2. My database is updated according the official update documentation

3. Detailed information about my system

your database manager version > MySQL 5.5.22

your Ruby version > ruby 1.9.3p545

your Rails version > Rails 4.1.4

your Redmine version > 2.6.1

your using plugins:

Redmine CRM plugin (Light version) RedmineCRM > 3.4.4

Redmine Invoices plugin (Light version) RedmineCRM  > 3.2.3

Concerning the logs - in the log/production.log there is no messages related to the issue. I am not sure which log have to check about email

notifications for watch news.

Toshi MARUYAMA wrote:

Again, see Submissions.

Give us your using plugin list and related log.

#9 - 2015-01-31 06:11 - Toshi MARUYAMA

- File setting.png added

Check your setting.

 setting.png 

#10 - 2015-01-31 07:59 - Plam Sim

Thank you very much! The issue is solved.

You can close this issue.

#11 - 2015-02-27 16:55 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.

Files

setting.png 16.6 KB 2015-01-31 Toshi MARUYAMA
